package Alien::wxWidgets::Config::gtk_2_4_2_gcc_3_2;

use strict;

our %VALUES;

{
    no strict 'vars';
    %VALUES = %{
$VAR1 = {
          'defines' => '-DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES ',
          '_libraries' => {
                            'core' => {
                                        'link' => '-lwx_gtk-2.4',
                                        'dll' => 'libwx_gtk-2.4.so'
                                      },
                            'stc' => {
                                       'link' => '-lwx_gtk_stc-2.4',
                                       'dll' => 'libwx_gtk_stc-2.4.so'
                                     },
                            'gl' => {
                                      'link' => '-L/usr/X11R6/lib -lwx_gtk_gl-2.4 -lGL -lGLU',
                                      'dll' => 'libwx_gtk_gl-2.4.so'
                                    },
                            'xrc' => {
                                       'link' => '-lwx_gtk_xrc-2.4',
                                       'dll' => 'libwx_gtk_xrc-2.4.so'
                                     }
                          },
          'include_path' => '-I/usr/lib/wx/include/gtk-2.4 ',
          'link_flags' => '',
          'compiler' => 'c++',
          'alien_package' => 'Alien::wxWidgets::Config::gtk_2_4_2_gcc_3_2',
          'linker' => 'c++ -shared  ',
          'version' => '2.004002',
          'alien_base' => 'gtk_2_4_2_gcc_3_2',
          'config' => {
                        'compiler_version' => '3.2',
                        'compiler_kind' => 'gcc',
                        'mslu' => 0,
                        'toolkit' => 'gtk',
                        'unicode' => 0,
                        'debug' => 0,
                        'build' => 'multi'
                      },
          'link_libraries' => ' -lpthread',
          'prefix' => '/usr',
          'c_flags' => ''
        };
    };
}

my $key = substr __PACKAGE__, 1 + rindex __PACKAGE__, ':';

sub values { %VALUES, key => $key }

sub config {
   +{ %{$VALUES{config}},
      package       => __PACKAGE__,
      key           => $key,
      version       => $VALUES{version},
      }
}

1;
